/*
Open Source Initiative OSI - The MIT License:Licensing

The MIT License

Copyright (c) <year> <copyright holders>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

Jesse Warden
jesterxl@jessewarden.com
jessewarden.com
twitter.com/jesterxl
*/

/**
*	Each time you log a message, one of these guys is created.  Later, they are rendered
 * in the List control. 
*/
package com.jxl.debug
{
	import mx.formatters.DateFormatter;
	
	public class Message
	{
		public var type:uint;
		public var date:Date;
		public var user:String;
		
		private var _content:*;
		
		public function get content():String
		{
			// if you wish to have a time stamp, uncomment the below instead
			//return String(getDateString() + " | " + _content);
			return _content;
		}
		
		public function Message(type:uint, content:*, user:String="All"):void
		{
			date				= new Date();
			this.type			= type;
			_content			= content;
			this.user			= user;
		}
		
		private function getDateString():String
		{
			//Dec 09 1:15:25 AM EST
			if(date)
			{
				var str:String = dateFormatter.format(date);
				str += " tz " + (-1 * (date.timezoneOffset / 60));
				return str;
			}
			else
			{
				return "";
			}
		}
		
		private static var dateFormatter:DateFormatter = new DateFormatter();
		private static var classConstructed:Boolean = classConstruct();
		
		private static function classConstruct():Boolean
		{
			dateFormatter.formatString		= "MMM DD J:NN:SS A";
			return true;
		}
		
	}
}